LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Can't Install ATI Catalyst Driver (http://www.linuxquestions.org/questions/slackware-14/cant-install-ati-catalyst-driver-4175484051/)

Max Rafiandy 11-09-2013 06:38 PM

Can't Install ATI Catalyst Driver
 
Hi all, I'm a new member in this forum, and this is my first post.
I've just upgrading my Slackware to Slackware-Current, and now i use kernel 3.10.17
Code:

bash-4.2$ uname -r
3.10.17-smp

But I can't install ATI Catalyst Driver, each time I try to build fglrx, certainly shows an error message like this
Code:

root@slackware:/home/fian# sh amd-catalyst-13.4-linux-x86.x86_64.run --buildpkg Slackware/Slackware
Created directory fglrx-install.r39RNg
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary Driver-12.104....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
=====================================================================
 AMD Catalyst(TM) Proprietary Driver Installer/Packager
=====================================================================
Generating package: Slackware/Slackware

ATI SlackBuild
--------------------------------------------
by: Emanuele Tomasi <tomasi@cli.di.unipi.it>

AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/3.10.17-smp/build SUBDIRS=/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-3.10.17'
  CC [M]  /home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
In file included from /home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:476:0:
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h: In function 'FGLDRM_proc_init':
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:98:2: error: implicit declaration of function 'create_proc_entry' [-Werror=implicit-function-declaration]
  if (!minor) root = create_proc_entry("dri", S_IFDIR, NULL);
  ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:98:19: warning: assignment makes pointer from integer without a cast [enabled by default]
  if (!minor) root = create_proc_entry("dri", S_IFDIR, NULL);
                  ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:105:12: warning: assignment makes pointer from integer without a cast [enabled by default]
  *dev_root = create_proc_entry(name, S_IFDIR, root);
            ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:112:7: warning: assignment makes pointer from integer without a cast [enabled by default]
  ent = create_proc_entry(DRM(proc_list)[i].name,
      ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:124:6: error: dereferencing pointer to incomplete type
  ent->read_proc = DRM(proc_list)[i].f;
      ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:125:6: error: dereferencing pointer to incomplete type
  ent->data      = dev;
      ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'firegl_proc_init':
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:598:14: warning: assignment makes pointer from integer without a cast [enabled by default]
        root = create_proc_entry("ati", S_IFDIR, NULL);
              ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:610:13: warning: assignment makes pointer from integer without a cast [enabled by default]
        ent = create_proc_entry("major", S_IFREG|S_IRUGO, root);
            ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:617:12: error: dereferencing pointer to incomplete type
        ent->read_proc = (read_proc_t*)firegl_major_proc_read;
            ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:617:27: error: 'read_proc_t' undeclared (first use in this function)
        ent->read_proc = (read_proc_t*)firegl_major_proc_read;
                          ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:617:27: note: each undeclared identifier is reported only once for each function it appears in
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:617:39: error: expected expression before ')' token
        ent->read_proc = (read_proc_t*)firegl_major_proc_read;
                                      ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:621:15: warning: assignment makes pointer from integer without a cast [enabled by default]
    *dev_root = create_proc_entry(name, S_IFDIR, root);
              ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:631:13: warning: assignment makes pointer from integer without a cast [enabled by default]
        ent = create_proc_entry(list->name, S_IFREG|S_IRUGO, *dev_root);
            ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:651:16: error: dereferencing pointer to incomplete type
            ent->read_proc = (read_proc_t*)list->f;
                ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:651:43: error: expected expression before ')' token
            ent->read_proc = (read_proc_t*)list->f;
                                          ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:656:16: error: dereferencing pointer to incomplete type
            ent->proc_fops = (struct file_operations*)list->fops;
                ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:660:16: error: dereferencing pointer to incomplete type
            ent->data = (dev->pubdev.signature == FGL_DEVICE_SIGNATURE)? firegl_find_device(minor) : (dev);
                ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:669:13: warning: assignment makes pointer from integer without a cast [enabled by default]
        ent = create_proc_entry("debug", S_IFREG|S_IRUGO, root);
            ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:672:16: error: dereferencing pointer to incomplete type
            ent->read_proc = (read_proc_t*)firegl_debug_proc_read_wrap;   
                ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:672:43: error: expected expression before ')' token
            ent->read_proc = (read_proc_t*)firegl_debug_proc_read_wrap;   
                                          ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:673:16: error: dereferencing pointer to incomplete type
            ent->write_proc = (write_proc_t*)firegl_debug_proc_write_wrap; 
                ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:673:32: error: 'write_proc_t' undeclared (first use in this function)
            ent->write_proc = (write_proc_t*)firegl_debug_proc_write_wrap; 
                                ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:673:45: error: expected expression before ')' token
            ent->write_proc = (write_proc_t*)firegl_debug_proc_write_wrap; 
                                            ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:674:16: error: dereferencing pointer to incomplete type
            ent->data = dev;
                ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'KCL_EFI_IS_ENABLED':
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3091:5: warning: return makes integer from pointer without a cast [enabled by default]
    return efi_enabled;
    ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:523:16: warning: 'firegl_debug_proc_read_wrap' defined but not used [-Wunused-function]
 READ_PROC_WRAP(firegl_debug_proc_read)
                ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:508:12: note: in definition of macro 'READ_PROC_WRAP'
 static int func##_wrap(char *buf, char **start, kcl_off_t offset,      \
            ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:528:12: warning: 'firegl_debug_proc_write_wrap' defined but not used [-Wunused-function]
 static int firegl_debug_proc_write_wrap(void* file, const char *buffer, unsigned long count, void *data)
            ^
/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:546:12: warning: 'firegl_major_proc_read' defined but not used [-Wunused-function]
 static int firegl_major_proc_read(char *buf, char **start, kcl_off_t offset,
            ^
cc1: some warnings being treated as errors
make[2]: *** [/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/home/fian/fglrx-install.r39RNg/common/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-3.10.17'
make: *** [kmod_build] Error 2
build failed with return value 2
ERROR: I didn't make module
Removing temporary directory: fglrx-install.r39RNg

Is there someone have a solution?

Sorry for my bad English, but i hope you get my point :D

mattallmill 11-09-2013 11:12 PM

Quote:

Originally Posted by Max Rafiandy (Post 5061598)
Hi all, I'm a new member in this forum, and this is my first post.
I've just upgrading my Slackware to Slackware-Current, and now i use kernel 3.10.17
Code:

bash-4.2$ uname -r
3.10.17-smp

But I can't install ATI Catalyst Driver, each time I try to build fglrx, certainly shows an error message like this
[code]root@slackware:/home/fian# sh amd-catalyst-13.4-linux-x86.x86_64.run --buildpkg Slackware/Slackware
Created directory fglrx-install.r39RNg
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary Driver-12.104...

Is there someone have a solution?

Sorry for my bad English, but i hope you get my point :D

The 13.4 Catalyst driver does not work on 3.10.x, but AMD has posted a new version of their Catalyst driver, 13.11 Beta V6, that works fine. Despite the beta status of this driver, I have not personally encountered any difficulties.

Before running the installer, however, type this in your console:
Code:

ln -s /lib/modules/3.10.17/build/include/generated/uapi/linux/version.h /lib/modules/3.10.17/build/include/linux/version.h
The installer will not work without it!

You probably know this already, but after the installer finishes, the xorg.conf file has to be updated. Type this in to make it happen:

Code:

aticonfig --initial
This will update the file automatically, and then you should be good to go!

Hope this helps.

Regards,

Matt

colorpurple21859 11-10-2013 07:18 AM

edit: ignore this, posted on the wrong thread, lol

Max Rafiandy 11-10-2013 01:48 PM

Quote:

Originally Posted by mattallmill (Post 5061659)
The 13.4 Catalyst driver does not work on 3.10.x, but AMD has posted a new version of their Catalyst driver, 13.11 Beta V6, that works fine. Despite the beta status of this driver, I have not personally encountered any difficulties.

Before running the installer, however, type this in your console:
Code:

ln -s /lib/modules/3.10.17/build/include/generated/uapi/linux/version.h /lib/modules/3.10.17/build/include/linux/version.h
The installer will not work without it!

You probably know this already, but after the installer finishes, the xorg.conf file has to be updated. Type this in to make it happen:

Code:

aticonfig --initial
This will update the file automatically, and then you should be good to go!

Hope this helps.

Regards,

Matt

thank you. I will try :)

Max Rafiandy 11-10-2013 01:52 PM

Quote:

Originally Posted by colorpurple21859 (Post 5061846)
edit: ignore this, posted on the wrong thread, lol

:tisk: lol

Max Rafiandy 11-10-2013 02:35 PM

Quote:

The 13.4 Catalyst driver does not work on 3.10.x, but AMD has posted a new version of their Catalyst driver, 13.11 Beta V6, that works fine. Despite the beta status of this driver, I have not personally encountered any difficulties.
the Catalyst 13.11 Beta works fine.. thanks again...

mattallmill 11-10-2013 04:32 PM

Quote:

Originally Posted by Max Rafiandy (Post 5062047)
the Catalyst 13.11 Beta works fine.. thanks again...

No prob, Max. Glad I could help.

Regards,

Matt

mostlyharmless 11-11-2013 04:52 PM

Quote:

Before running the installer, however, type this in your console:

Code:
ln -s /lib/modules/3.10.17/build/include/generated/uapi/linux/version.h /lib/modules/3.10.17/build/include/linux/version.hThe installer will not work without it!

Hmm, I didn't see this, and yet the installer worked without any apparent problem. What sort of problem should I have seen?

mattallmill 11-11-2013 10:42 PM

Quote:

Originally Posted by mostlyharmless (Post 5062802)
Hmm, I didn't see this, and yet the installer worked without any apparent problem. What sort of problem should I have seen?

Perhaps the newer versions of Catalyst don't require the link to be made, as the earlier ones did (I used 13.1 prior to this, and the installer would err out if I didn't make that link). Just to be on the safe side, however, I ran the commmand. Better safe than sorry, even if the newer Catalyst drivers don't require it.

Regards,

Matt

P.S. The reason I said what I did was a reference to this web site, which references the 3.8.x kernel version (however,this was applicable up to 3.9.x). Perhaps the changes in Catalyst 13.11 included the information.

Just my 2 cents.


All times are GMT -5. The time now is 09:24 PM.